Subject: Re: bug#79050: vc-git incorrectly treats git-crypt encrypted files as binary, even when unlocked

From: Sean Whitton <[email-masked]>
Date: Sun, 03 Aug 2025 13:53:19 +0100

Hello,

On Fri 01 Aug 2025 at 10:46pm -04, Richard Stallman wrote:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > > What is the use case of git-crypt?  Why put code in a public repo
>   > > and make it impossible for the public to see?
>
>   > I maintain something similar: git-remote-gcrypt[1]
>
>   > In short, Git repos don't have to be public.
>   > I keep everything in Git, in many private repositories.
>
> I don't follow the reasoning of this.  If a repo is private,
> why encrupt its contents?  Some files on my disk are private too,
> but I mostly don't encrypt them.
>
> Is there a point that isn't clear to me?

So you can push to a remote server you don't fully control.

-- 
Sean Whitton